/scim/v2/Groups/{groupId}Authorization
Descope Project ID:Access Key Project ID:Access Key as bearer token.
In: header
Path Parameters
Query Parameters
Load an existing SCIM group, using a valid access key.
This endpoint allows administrators to load an existing SCIM group using the SCIM groupId, which is a required field, and optionally the displayName.
The response includes the group's object which includes details about the groups including the members.
It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action.
Next Steps
Once you have this data, you can add or remove users from the SCIM groups via Update SCIM Group.
See also
- See SCIM Management for further details on managing SCIM provisioning.
curl -X GET "https://api.descope.com/scim/v2/Groups/string"{ "displayName": "string", "schemas": [ "string" ], "id": "string", "members": [ { "value": "string", "display": "string" } ], "meta": { "created": {}, "location": "string", "lastModified": {}, "resourceType": "string" }, "externalId": "string", "detail": "string", "status": 0}export interface Response {displayName?: stringschemas?: string[]id?: stringmembers?: {value?: stringdisplay?: string}[]meta?: SCIMGroupResourceMetaexternalId?: stringdetail?: stringstatus?: number}export interface SCIMGroupResourceMeta {created?: {}location?: stringlastModified?: {}resourceType?: string}Create SCIM Group POST
### Create a SCIM group, using a valid access key. This endpoint allows administrators to create new SCIM groups within their environement. When creating the group, you can configure the groupId, displayName, and it's members. The response includes the new group's group object which includes details about the groups including the members. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### Next Steps Once you have created the group, you can later add or remove users from the SCIM groups via [Update SCIM Group](/api/management/tenants/scim/update-scim-group). ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.
Update SCIM Group PUT
### Update an existing SCIM group, using a valid access key. This endpoint allows administrators to update an existing SCIM group using the SCIM group ID, which is a required field. You can update the display name and members through this API endpoint. The response includes the group's object which includes details about the groups including the members. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.